# lib/rpmdpkg.c File Reference

`#include "system.h"`
`#include <rpmio.h>`
`#include <rpmdpkg.h>`
`#include "debug.h"`

Include dependency graph for rpmdpkg.c:

Go to the source code of this file.

## Defines

#define | _RPMEVR_INTERNAL

## Functions

static int | dpkgEVRctype (char x)
int | dpkgEVRcmp (const char *a, const char *b)
| Segmented string compare.
int | dpkgEVRparse (const char *evrstr, EVR_t evr)
| Split EVR string into epoch, version, and release components.
int | dpkgEVRcompare (const EVR_t a, const EVR_t b)
| Compare EVR containers.

## Variables

int | _rpmdpkg_debug = 0

## Detailed Description

Definition in file rpmdpkg.c.

## Define Documentation

#define _RPMEVR_INTERNAL

Definition at line 8 of file rpmdpkg.c.

## Function Documentation

static int dpkgEVRctype | ( | char | x | ) | `[inline, static]`

Definition at line 19 of file rpmdpkg.c.

References xisalpha(), and xisdigit().

Referenced by dpkgEVRcmp().

## Variable Documentation

int _rpmdpkg_debug = 0

Definition at line 16 of file rpmdpkg.c.